Status: Closed Start date: 09 Oct 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 2.00 hours

Target version: CoCoALib-0.99533 Easter14 Spent time: 2.50 hours

Description

Currently CoCoALib has a fn called MaxExponent which computes the degree of a poly in an indet.

Can we rename this fn to deg?

Are there any potential pitfalls?  Note that C5 understands deg(f,x) apparently without any problems.

History

#1 - 10 Oct 2013 12:42 - John Abbott

- Subject changed from deg(F,X)  MaxExponent(F,X) to deg(F,X)  instead of MaxExponent(F,X) ?

The fn for computing the degree of an indet in a PP is called exponent (presumably the name was chosen after the fn exponents).

Should the fn for PPs also be called deg?  It seems unhelpful to use a different name.  JAA thinks that deg is more natural; but what should

exponents be called?

Example:  currently  MaxExponent(f,x)  exponent(LPP(f),x) with the right term ordering

Example:  could become  deg(f,x)  deg(LPP (f),x)   [space in LPP (f) because of redmine BUG]

#2 - 29 Oct 2013 13:08 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99532

#3 - 02 Apr 2014 07:48 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#4 - 11 Apr 2014 17:57 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#5 - 14 May 2014 17:29 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 2.00 h

No problems arose when I made the change.

Status -> feedback
#6 - 20 May 2014 09:47 - John Abbott

- Status changed from Feedback to Closed

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99533 Easter14

- % Done changed from 90 to 100
